Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlComponentControl

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIComponentControl
                  org.richfaces.component.html.HtmlComponentControl

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxSupport

    public class HtmlComponentControl

extends UIComponentControl

Component-Type org.richfaces.ComponentControl Component-Family org.richfaces.ComponentControl Renderer-Type org.richfaces.ComponentControlRenderer

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlComponentControl()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAttachTiming()` Defines an Id of a component or HTML element listened by the control component Getter for attachTiming
`java.lang.String` | `getAttachTo()` Client identifier of the component or id of the existing DOM element that is a source for given event.
`java.lang.String` | `getEvent()` The Event that is used to trigger the operation on the target component Getter for event
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFor()` Client identifier of the target component.
`java.lang.String` | `getName()` The optional name of the function that might be used to trigger the operation on the target component Getter for name
`java.lang.String` | `getOperation()` The function of Javascript API that will be invoked.
`java.lang.String` | `getParams()` The set of parameters passed to the function of Javascript API that will be invoked.
`boolean` | `isDisableDefault()` If "true", it is used to avoid a problem with form submit and modalPanel showing Getter for disableDefault
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAttachTiming(java.lang.String __attachTiming)` Defines an Id of a component or HTML element listened by the control component Setter for attachTiming
`void` | `setAttachTo(java.lang.String __attachTo)` Client identifier of the component or id of the existing DOM element that is a source for given event.
`void` | `setDisableDefault(boolean __disableDefault)` If "true", it is used to avoid a problem with form submit and modalPanel showing Setter for disableDefault
`void` | `setEvent(java.lang.String __event)` The Event that is used to trigger the operation on the target component Setter for event
`void` | `setFor(java.lang.String __for)` Client identifier of the target component.
`void` | `setName(java.lang.String __name)` The optional name of the function that might be used to trigger the operation on the target component Setter for name
`void` | `setOperation(java.lang.String __operation)` The function of Javascript API that will be invoked.
`void` | `setParams(java.lang.String __params)` The set of parameters passed to the function of Javascript API that will be invoked.

Methods inherited from class org.richfaces.component.UIComponentControl
`getEncodedParametersMap, getEventString, replaceBackSlashes, replaceClientIds, setParent, setParentProperties`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlComponentControl

    public HtmlComponentControl()

  Constructor to init default renderers

Method Detail

### setAttachTiming

    public void setAttachTiming(java.lang.String __attachTiming)

  Defines an Id of a component or HTML element listened by the control component Setter for attachTiming

  Specified by:
    `setAttachTiming` in class `UIComponentControl`
  Parameters:
    `attachTiming` - - new value

### getAttachTiming

    public java.lang.String getAttachTiming()

  Defines an Id of a component or HTML element listened by the control component Getter for attachTiming

  Specified by:
    `getAttachTiming` in class `UIComponentControl`
  Returns:
    attachTiming value from local variable or value bindings

### setAttachTo

    public void setAttachTo(java.lang.String __attachTo)

  Client identifier of the component or id of the existing DOM element that is a source for given event. If attachTo is defined, the event is attached on the client according to the AttachTiming attribute. If attachTo is not defined, the event is attached on the server to the closest in the component tree parent component. Setter for attachTo

  Specified by:
    `setAttachTo` in class `UIComponentControl`
  Parameters:
    `attachTo` - - new value

### getAttachTo

    public java.lang.String getAttachTo()

  Client identifier of the component or id of the existing DOM element that is a source for given event. If attachTo is defined, the event is attached on the client according to the AttachTiming attribute. If attachTo is not defined, the event is attached on the server to the closest in the component tree parent component. Getter for attachTo

  Specified by:
    `getAttachTo` in class `UIComponentControl`
  Returns:
    attachTo value from local variable or value bindings

### setDisableDefault

    public void setDisableDefault(boolean __disableDefault)

  If "true", it is used to avoid a problem with form submit and modalPanel showing Setter for disableDefault

  Parameters:
    `disableDefault` - - new value

### isDisableDefault

    public boolean isDisableDefault()

  If "true", it is used to avoid a problem with form submit and modalPanel showing Getter for disableDefault

  Returns:
    disableDefault value from local variable or value bindings

### setEvent

    public void setEvent(java.lang.String __event)

  The Event that is used to trigger the operation on the target component Setter for event

  Specified by:
    `setEvent` in interface `org.ajax4jsf.component.AjaxSupport`
  Specified by:
    `setEvent` in class `UIComponentControl`
  Parameters:
    `event` - - new value

### getEvent

    public java.lang.String getEvent()

  The Event that is used to trigger the operation on the target component Getter for event

  Specified by:
    `getEvent` in interface `org.ajax4jsf.component.AjaxSupport`
  Specified by:
    `getEvent` in class `UIComponentControl`
  Returns:
    event value from local variable or value bindings

### setFor

    public void setFor(java.lang.String __for)

  Client identifier of the target component. Setter for for

  Specified by:
    `setFor` in class `UIComponentControl`
  Parameters:
    `for` - - new value

### getFor

    public java.lang.String getFor()

  Client identifier of the target component. Getter for for

  Specified by:
    `getFor` in class `UIComponentControl`
  Returns:
    for value from local variable or value bindings

### setName

    public void setName(java.lang.String __name)

  The optional name of the function that might be used to trigger the operation on the target component Setter for name

  Specified by:
    `setName` in class `UIComponentControl`
  Parameters:
    `name` - - new value

### getName

    public java.lang.String getName()

  The optional name of the function that might be used to trigger the operation on the target component Getter for name

  Specified by:
    `getName` in class `UIComponentControl`
  Returns:
    name value from local variable or value bindings

### setOperation

    public void setOperation(java.lang.String __operation)

  The function of Javascript API that will be invoked. The API method is attached to the 'component' property of the root DOM element that represents the target component. The function has two parameters - event and params. See: 'params' attribute for details. Setter for operation

  Specified by:
    `setOperation` in class `UIComponentControl`
  Parameters:
    `operation` - - new value

### getOperation

    public java.lang.String getOperation()

  The function of Javascript API that will be invoked. The API method is attached to the 'component' property of the root DOM element that represents the target component. The function has two parameters - event and params. See: 'params' attribute for details. Getter for operation

  Specified by:
    `getOperation` in class `UIComponentControl`
  Returns:
    operation value from local variable or value bindings

### setParams

    public void setParams(java.lang.String __params)

  The set of parameters passed to the function of Javascript API that will be invoked. The JSON syntax is used to define the parameters, but without open and closed curve bracket. As an alternative, the set of f:param can be used to define the parameters passed to the API function. If both way are used to define the parameters, both set are concatenated. if names are equals, the f:param has a priority. Setter for params

  Specified by:
    `setParams` in class `UIComponentControl`
  Parameters:
    `params` - - new value

### getParams

    public java.lang.String getParams()

  The set of parameters passed to the function of Javascript API that will be invoked. The JSON syntax is used to define the parameters, but without open and closed curve bracket. As an alternative, the set of f:param can be used to define the parameters passed to the API function. If both way are used to define the parameters, both set are concatenated. if names are equals, the f:param has a priority. Getter for params

  Specified by:
    `getParams` in class `UIComponentControl`
  Returns:
    params value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.